echo	off
rem	SETUP3F.BAT
rem	-----------
cls
echo	.		
echo	.
echo	 		-------------------------
echo			CORNERSTONE INSTALLATION
echo			FOR A TWO-DISKETTE SYSTEM
echo			       USING THE
echo			START-UP DISKETTE METHOD
echo			-------------------------
echo	.
echo	-----------------------------------------------------------------
echo	.
echo	.
echo	This program will install Cornerstone and three pre-defined
echo	databases on your two-diskette system.
echo	.
echo	In your Read This First booklet you will find a summary
echo	and explanation of the installation procedures.  Additional
echo	information can be found in chapter 10, "Reinstallation
echo	and Saving Space", in Owner's Handbook II.
echo	.
echo	-----------------------------------------------------------------
echo	To continue,
pause
cls
echo	-----------------------------------------------------------------
echo	.
echo	.
echo	* HOW TO STOP
echo	  -----------
echo	If you want to STOP this operation at any time, press the
echo	control (Ctrl) key and the Break key simultaneously.  You 
echo	will then be asked if you wish to stop the batch process,
echo	(this installation process).  If you type the letter Y, the 
echo	installation process will stop and you will see the DOS prompt.
echo	.
echo	-----------------------------------------------------------------
echo	To continue,
pause	
cls
echo	-----------------------------------------------------------------
echo	.
echo	.
echo	* HARD-DISK OR TWO-DISKETTE SYSTEM?
echo	  ---------------------------------
echo	The installation process on a hard-disk system is
echo	different from the one on a two-diskette system.
echo	.
a:yes	Are you using a two-diskette system (Y/N)?  
	if errorlevel 1 a:setuphd
cls
echo	-----------------------------------------------------------------
echo	.
echo	.
echo	* WHAT YOU NEED
echo	  -------------
echo	To proceed you must have three (3) formatted blank diskettes.
echo	The diskettes may have the COMMAND.COM DOS file on them as
echo	described in the Read This First booklet.
echo	.
a:yes	Do you have three (3) formatted diskettes available (Y/N)?  
echo	.
echo	       ... Please wait ...
	if not errorlevel 1 goto install
echo	.	
echo	You will now be returned to DOS.  Please format the three (3)
echo	diskettes and copy the COMMAND.COM DOS file on them.
echo	When you are done, type at the DOS prompt:
echo	.
echo		A:SETUP3F [ENTER]
echo	.
echo	This will restart this installation process.
echo	.
echo	-----------------------------------------------------------------
goto end
:install
echo	.
echo	Please put one of the formatted diskettes in drive B.
echo	.
echo	-----------------------------------------------------------------
pause
cls
echo	-----------------------------------------------------------------
echo	.
echo	.
echo	* INSTALLING THE SAMPLE DATABASE
echo	  ------------------------------
echo	.
echo	This program will now install the pre-defined
echo	Sample database on your blank diskette.
echo	.
echo	.
echo	    --- Copying Cornerstone files ---
echo	       --- and Sample database ---
echo	.
echo	           ... Please wait ...

	copy a:corner3f.bat b:corner.bat > nul:
	copy a:*.cnr b: > nul:
	copy a:yes.com b: > nul:
	copy a:*.dbf b: > nul:
	copy a:yes.com b:mono > nul:
echo	.
a:yes Are you using a color monitor (Y/N)? 
echo	.
echo	           ... Please wait ...
if errorlevel 1 goto snocolor
rem	color
	ren b:mono color
echo	.
	copy a:syco.new b:sy000000.dbf >nul:
goto scolor
:snocolor 
	copy a:sybw.new b:sy000000.dbf >nul:
:scolor
echo	.
rem	.
rem	The installation on the SAMPLE DATABASE COPY diskette is done.
echo	.
echo	Please remove the diskette from drive B and label
echo	it with the pre-printed label "SAMPLE DATABASE COPY".
echo	.
echo	-----------------------------------------------------------------
a:chkdir b:mono
if exist b:mono del b:mono
if exist b:color del b:color
pause
:ACHNGDSK
cls
echo	-----------------------------------------------------------------
echo	.
echo	.
echo	* CHANGE DISKETTES
echo	  ----------------
echo	Please remove the diskette from drive A
echo	and insert the CLIENT TRACKING diskette.
echo	.
echo	-----------------------------------------------------------------
pause
rem	check disk change, assuming installation from drive A:
	IF NOT EXIST MS000000.LTR GOTO ACHNGDSK
echo	.
echo	Please put the second formatted diskette in drive B.
echo	.
pause
if errorlevel 1 copy a:yes.com b:color > nul:
cls
echo	-----------------------------------------------------------------
echo	.
echo	.
echo	* INSTALLING THE CLIENT TRACKING & SALES DATABASES
echo	  ------------------------------------------------
echo	This program will now install the pre-defined Client
echo	Tracking and Sales databases on your blank diskette.
echo	.
echo	           --- Copying Cornerstone files ---
echo	   --- and the Client Tracking & Sales databases ---
echo	.
echo	                  ... Please wait ...
	copy sales3f.bat b:sales.bat > nul:
	copy corner3f.bat b:corner.bat > nul:
	copy *.ltr b:*.dbf  > nul:
	copy *.sls b:	    > nul:
	copy *.cnr b:	    > nul:
	copy ff000000.new b:ff000000.sls > nul:
if not exist b:color goto cnocolor
rem	color
	copy a:syco.new b:sy000000.dbf >nul:
	copy a:syco.new b:sy000000.sls >nul:
goto ccolor
:cnocolor 
	copy a:sybw.new b:sy000000.dbf >nul:
	copy a:sybw.new b:sy000000.sls >nul:
:ccolor
rem	.
rem	The installation on the CLIENT TRACKING COPY diskette is done
a:chkdir b:color
if not errorlevel 1 del b:color
echo	.
echo	Please remove the diskette from drive B and label
echo	it with the pre-printed label "CLIENT TRACKING COPY".
echo	.
pause
:chngdsk
cls
echo	Remove the CLIENT TRACKING diskette from drive A replacing
echo	it with the original SAMPLE diskette.
echo	.
pause
echo	.
echo	Please put the last formatted diskette in drive B.
echo	--------------------------------------------------------------
pause
cls
if not exist a:setuphd.bat goto chngdsk
if not errorlevel 1 copy a:yes.com b:color > nul:
echo	-----------------------------------------------------------------
echo	.
echo	.
echo	* CREATING THE CORNERSTONE START-UP DISKETTE
echo	  ------------------------------------------
echo	This program will now create a Cornerstone system diskette.
echo	The diskette will have all the files necessary to start 
echo	Cornerstone and create new databases.
echo	.
echo	           --- Copying Cornerstone files ---
echo	.
echo	                  ... Please wait ...
	copy a:*.exe b: > nul:
	copy a:*.cnr b: > nul:
	copy a:newdb3f.bat  b:newdb.bat > nul:
	copy a:syco.new	  b: > nul:
	copy a:sybw.new   b: > nul:
	copy a:yes.com	  b: > nul:
	copy a:ms000000.new b: > nul:
	copy a:ff000000.new b: > nul:
	copy a:corner3f.bat b:corner.bat > nul:
	copy a:sales3f.bat b:sales.bat > nul:
if exist b:color del b:color
echo	.
echo	.
echo	Please remove the diskette from drive B and label it
echo	"START-UP" diskette.
echo	.
echo	.
echo	---------------------------------------------------------
echo	.							.
echo	.							.
echo	.      	   --- END OF CORNERSTONE INSTALLATION ---	.
echo	.							.
echo	.							.
echo	---------------------------------------------------------
:end
